OSSL_STORE_ATTACH(3ssl)

NAME
OSSL_STORE_attach - Functions to read objects from a BIO

SYNOPSIS
 #include <openssl/store.h>

 OSSL_STORE_CTX *OSSL_STORE_attach(BIO *bio, const char *scheme,
                                   OSSL_LIB_CTX *libctx, const char *propq,
                                   const UI_METHOD *ui_method, void *ui_data,
                                   const OSSL_PARAM params[],
                                   OSSL_STORE_post_process_info_fn post_process,
                                   void *post_process_data);

DESCRIPTION
OSSL_STORE_attach() works like OSSL_STORE_open(3), except it takes a BIO bio instead of a uri, along with a scheme to determine what loader should be used to process the data. The reference count of the BIO object is increased by 1 if the call is successful.

RETURN VALUES
OSSL_STORE_attach() returns a pointer to a OSSL_STORE_CTX on success, or NULL on failure.

SEE ALSO
ossl_store(7), OSSL_STORE_open(3)

HISTORY
OSSL_STORE_attach() was added in OpenSSL 3.0.

COPYRIGHT
Copyright 2020-2021 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.